Capítulo 3. Lançamentos da Debian

# Capítulo 3. Lançamentos da Debian

Debian 0.01 até 0.90 (Agosto-Dezembro 1993)

Debian 0.91 (Janeiro 1994): Este lançamento teve um sistema de pacotes simples que podia instalar e desinstalar pacotes. O projecto tinha crescido para várias dúzias de pessoas neste ponto.

Debian 0.93R5 (Março 1995): Neste ponto a responsabilidade de cada pacote estava claramente atribuída a um desenvolvedor, e o gestor de pacotes (dpkg) era usado para instalar pacotes após a instalação de um sistema base.

Debian 0.93R6 (Novembro 1995): Aparece o dselect. Este foi o último lançamento Debian a usar o formato binário a.out; existiam cerca de 60 desenvolvedores. O primeiro servidor master.debian.org foi criado por Bdale Garbee e hospedado pela HP em paralelo com o lançamento 0.93R6. A implementação de um servidor mestre explícito no qual os desenvolvedores de Debian iriam construir cada lançamento levou directamente à formação da rede de mirrors de Debian, e indiretamente ao desenvolvimento de muitas da políticas e procedimentos que se usam para gerir o projecto hoje em dia.

Debian 1.0 nunca foi lançada: Acidentalmente a InfoMagic, um fabricante de CDs, enviou o lançamento de desenvolvimento de Debian em nomeou-o 1.0. A 11 de Dezembro de 1995, Debian e a InfoMagic anunciaram em conjunto que este lançamento estava defeituoso. Bruce Perens explica que os dados colocados no "Conjunto de 5 CDs de Recursos de Desenvolvedores de InfoMagic Linux em Novembro 1995" como "Debian 1.0" não são o lançamento Debian 1.0, mas uma versão anterior de desenvolvimento que estava apenas parcialmente no formato ELF, que provavelmente não irá arrancar ou funcionar correctamente, e não representa a qualidade de um lançamento de sistema Debian. Para prevenir confusões entre a versão de CDs prematura e o verdadeiro lançamento Debian, o Projecto Debian renomeou o seu próximo lançamento para "Debian 1.1". O prematuro Debian 1.0 em CD está descontinuado e não deve ser usado.

A hospedagem de master.debian.org foi movida de HP para i-Connect.Net em meados do final de 1995. Michael Neuffer e Shimon Shapiro, fundadores da i-Connect.Net, hospedaram o mestre no seu próprio hardware por pouco mais de um ano. Durante este tempo, eles disponibilizaram muitos serviços para a Debian, incluindo a execução do que era essencialmente o processo do dia do Novo Desenvolvedor, e ajudando significativamente no crescimento no inicio da rede de mirrors da Debian.

Debian 1.1 Buzz (17 Junho 1996): Este foi o primeiro lançamento Debian com um nome de código. Foi tirado, como todos os outros até agora, de um personagem dos filmes Toy Story... neste caso, Buzz Lightyear. Por esta altura, Bruce Perens tinha tomado a liderança do projecto de Ian Murdock, e Bruce trabalhava na Pixar, a companhia que produziu os filmes. Este lançamento era totalmente ELF, usava kernel Linux 2.0 e continha 474 pacotes.

Debian 1.2 Rex (12 Dezembro 1996): Com o nome do dinossauro de plástico dos filmes Toy Story. Este lançamento consistia em 848 pacotes mantidos por 120 desenvolvedores.

Debian 1.3 Bo (15 Junho, 1997): Com o nome da Bo Peep, a pastora. Este lançamento consistiu em 974 pacotes mantidos por 200 desenvolvedores.

Debian 2.0 Hamm (24 de Julho, 1998): Com o nome do porco mealheiro dos filmes Toy Story. Este foi o primeiro lançamento Debian com multi-arquitectura, que adicionou suporte para as arquitecturas da série Motorola 68000. Com Ian Jackson como Líder do Projecto, este lançamento fez a transição para libc6, e consistiu de mais de 1500 pacotes mantidos por mais de 400 desenvolvedores.

Debian 2.1 Slink (9 de Março, 1999): Com o nome do cão de mola do filme. Mais duas arquitecturas foram adicionadas, Alpha e SPARC. Com Wichert Akkerman como Líder do Projecto, este lançamento consistiu de cerca de 2250 pacotes e requeria 2 CDs no conjunto oficial. A inovação técnica chave foi a introdução do apt, uma nova interface de gestão de pacotes. Largamente emulado, o apt dedicava-se a problemas resultantes do crescimento contínuo da Debian, e estabeleceu um novo paradigma para aquisição e instalação de pacotes em sistemas operativos de Fonte Aberta.

Debian 2.2 Potato (15 de Agosto de 2000): Com o nome do "Sr Cabeça de Batata" dos filmes Toy Story. Este lançamento adicionou suporte para as arquitecturas PowerPC e ARM. Com Wichert ainda a servir como Líder de Projecto, este lançamento consistiu em mais de 3900 pacotes binários derivados de mais de 2600 pacotes fonte mantidos por mais de 450 desenvolvedores de Debian.

Debian 3.0 Woody (19 de Julho de 2002): Com o nome do personagem principal dos filmes Toy Story: "Woody" o cowboy. Mais arquitecturas foram adicionadas neste lançamento: IA-64, HP PA-RISC, MIPS (big endian), MIPS (little endian) e S/390. Este foi também o primeiro lançamento a incluir software criptográfico devido às restrições de exportação terem sido aliviadas nos Estados Unidos, e também a primeira a incluir o KDE, pois os problemas de licença com o Qt estavam resolvidos. Com Bdale Garbee recentemente designado como Líder de Projecto, e mais de 900 desenvolvedores Debian, este lançamento continha cerca de 8500 pacotes binários e 7 CDs binários no conjunto oficial.

Debian 3.1 Sarge (6 de Junho de 2005): Com o nome do sargento do Exército de Soldados de Plástico. Nenhuma nova arquitectura foi adicionada neste lançamento, apesar de um porte AMD64 não oficial ter sido publicado ao mesmo tempo e distribuído através do novo sitio de hosting do projeto Alioth. Este lançamento apresentou um novo instalador: debian-installer, uma peça de software modular que apresentava detecção automática do hardware, funções de instalação não acompanhadas e foi lançado completamente traduzido em mais de trinta linguagens. Foi também o primeiro lançamento a incluir o conjunto completo de escritório: OpenOffice.org. Branden Robinson tinha sido designado como Líder do Projecto. Este lançamento foi feito por mais de novecentos desenvolvedores de Debian, e continha cerca de 15400 pacotes binários e 14 CDs binários no pacote oficial.

Debian 4.0 Etch (8 de Abril de 2007): com o nome do quadro de rascunhos no filme. Foi adicionada uma arquitectura neste lançamento: AMD64, e o suporte oficial para m68k foi abandonado. Este lançamento continuou a usar o debian-installer, mas apresentando neste lançamento um instalador gráfico, verificação criptográfica dos pacotes descarregados, particionamento mais flexível (com suporte para partições encriptadas), configuração de mail simplificada, uma selecção mais flexível do ambiente de trabalho, localização simplificada mas melhorada e novos modos, incluindo um modo de recuperação. As novas instalações não precisam de reiniciar a máquina durante o processo de instalação pois as duas fases prévias de instalação estão agora integradas. Este novo instalador disponibilizou suporte para scripts usando caracteres compostos e linguagens complexas na sua versão gráfica, aumentando o número de traduções disponíveis para mais de cinquenta. Sam Hocevar foi designado como Líder do Projecto no mesmo dia, e o projecto incluiu mais de mil e trinta desenvolvedores de Debian. O lançamento continha cerca de 18.000 pacotes binários em 20 CDs binários (3 DVDs) no conjunto oficial. Existiram também dois CDs binários para instalar o sistema com ambientes de trabalho alternativos diferentes do predefinido.

Debian 5.0 Lenny (Fevereiro de 2009): com o nome do boneco de binóculos dos filmes Toy Story. Foi adicionada uma arquitectura neste lançamento: ARM EABI (ou armel), que disponibiliza suporte para os novos processadores ARM e abandonava o antigo porte ARM (arm). O porte m68k não foi incluído neste lançamento, apesar de ser ainda disponibilizado na distribuição unstable. Este lançamento não apresentou o FreeBSD port, apesar de muito trabalho ter sido feito no porte para o qualificar, ainda não tinha os qualification requirements para este lançamento.

O suporte para dispositivos pequenos foi aumentado neste lançamento pela adição de suporte para a plataforma Orion da Marvell que é usada em muitos dispositivos de armazenamento e também disponibilizou suporte para vários Netbooks. Foram adicionadas algumas novas ferramentas de compilação que permitiram que pacotes Debian fossem compilados para outras arquitecturas e encolhidos para sistemas ARM embebidos. Estão agora suportados também netbooks de vários fabricantes e o software disponibilizado pela distribuição está mais apropriado para computadores com relativamente baixa performance.

Foi também o primeiro lançamento a disponibilizar versões livres da tecnologia Java da Sun, tornando possível disponibilizar aplicações Java na secção main.

Debian 6.0 Squeeze (Fevereiro 2011): com o nome dos extra-terrestres verdes de três olhos.

O lançamento foi congelado em 6 de Agosto de 2010, com muitos dos desenvolvedores de Debian reunidos no 10º DebConf na Cidade de Nova York.

Enquanto duas arquitecturas foram abandonadas (alpha e hppa), foram disponibilizadas duas arquitecturas do novo FreeBSD port (kfreebsd-i386 e kfreebsd-amd64) como ante-visão tecnológica, incluindo o kernel e ferramentas de utilizador assim como software servidor comum (apesar de ainda não ter funcionalidades avançadas de ambiente de trabalho). Esta foi a primeira vez que uma distribuição de Linux foi estendida para permitir o uso de um kernel não-Linux.

O novo lançamento introduziu uma sequência de arranque baseada em dependências, o que permitiu o processamento de scripts de init em paralelo, acelerando o arranque do sistema.

Debian 6 foi o primeiro lançamento a beneficiar de Long Term Support (LTS), um projeto para estender o tempo de vida de todos os lançamentos estáveis de Debian para (pelo menos) 5 anos. O Debian LTS não era lidado pela equipa de Segurança Debian, mas por um grupo separado de voluntários e companhias interessados em fazer sucesso. Debian 6 foi suportado até ao final de Fevereiro 2016, e limitado às arquitecturas i386 e amd64.

Debian 7.0 Wheezy (Maio 2013): com o nome do pinguim de borracha com a gravata de laço vermelho.

O lançamento foi congelado a 30 de Junho, 2012, muito próximo da reunião de desenvolvedores de Debian no 12º DebConf em Managua, Nicaragua.

Uma arquitectura foi incluída neste lançamento (armhf) e este lançamento introduziu suporte a multi-arquitectura, o que permitiu aos utilizadores instalar pacotes de múltiplas arquitecturas an mesma máquina. Melhoramentos no processo de instalação permitiu a pessoas com dificuldades visuais instalar o sistema utilizando software de voz sintetizada pela primeira vez.

Este foi também o primeiro lançamento a suportar a instalação e arranque em dispositivos que usam firmware UEFI.

Debian 7 teve Long Term Support (LTS) para as arquitecturas i386, amd64, e armhf até ao final de Maio 2018.

Debian 8.0 Jessie (Abril 2015): com o nome da rapariga "cowboy" que apareceu a primeira vez em Toy Story 2.

Este lançamento introduziu pela primeira vez o sistema de init systemd como predefinido. Duas novas arquitecturas foram introduzidas: arm64 e ppc64el e três arquitecturas foram abandonadas: s390 (substituída por s390x), ia64 e sparc. A arquitectura Sparc esteve presente em Debian por 16 anos, mas faltava suporte de desenvolvimento para a tornar mantida na distribuição.

Este lançamento incluiu muitos melhoramentos de segurança como um novo kernel que anulava um conjunto de vulnerabilidades de segurança (ataques de symlink), uma nova maneira de detectar pacotes que estavam sob suporte de segurança, mais pacotes construídos com bandeiras de compilação mais rijas e um novo mecanismo (needrestart) para detectar sub-sistemas que tinham de ser reiniciados de modo a propagarem actualizações de segurança após uma actualização.

Debian 8 teve Long Term Support (LTS) para as arquitecturas i386, amd64, armel e armhf até ao final de Junho 2020.

Debian 9 Stretch (Junho 2017): com o nome do polvo de borracha com ventosas nos seus oito longos braços que apareceu em Toy Story 3.

Este lançamento foi congelado a 7 de Fevereiro de 2017.

Debian 9 foi dedicado ao fundador do projecto Ian Murdock, que faleceu em 28 de Dezembro 2015.

O suporte para a arquitecturas powerpc foi abandonado neste lançamento, enquanto foi introduzida a arquitectura mips64el. Este lançamento introduziu pacotes de depuração com um novo repositório no arquivo, os pacotes deste repositório disponibilizavam automaticamente símbolos de depuração para os pacotes. Firefox e Thunderbird retornaram a Debian, substituindo as suas versões sem-marca Iceweasel e Icedove, as quais estavam presentes no arquivo há mais de 10 anos. Graças ao projecto Reproducible Builds, mais de 90% dos pacotes fonte incluídos no Debian 9 foram capazes de compilar bit-por-bit pacotes binários idênticos.

Debian 9 teve Long Term Support (LTS) para as arquitecturas i386, amd64, armel e armhf até ao final de Junho 2022.

Debian 10 Buster (Julho 2019): com o nome do cão do Andy, recebido como presente de Natal no final do Toy Story.

Com este lançamento pela primeira vez Debian incluiu uma infraestrutura de controle de acesso obrigatório ativada por predefinição (AppArmor). Foi também o primeiro lançamento Debian a trazer programas baseados em Rust como o Firefox, ripgrep, fd, exa, etc. e um número significante de bibliotecas baseadas em Rust (mais de 450). No Debian 10 o GNOME vem predefinido a usar o servidor de ecrã Wayland em vez do Xorg, fornecendo um estilo simples e mais moderno e vantagens para a segurança. O suporte a UEFI ("Unified Extensible Firmware Interface") introduzido inicialmente em Debian 7 continuou a ser bastante melhorado no Debian 10, sendo incluído para arquitecturas amd64, i386 e arm64 e a funcionar directamente na maioria da máquinas com Secure Boot activo.

Debian 10 teve Long Term Support (LTS) para as arquitecturas i386, amd64, armel e armhf até ao final de Junho 2024.

Debian 11 Bullseye (14 de Agosto de 2021): com o nome do cavalo de madeira do Woody que apareceu em Toy Story 2.

Este lançamento conteve mais de 11,294 novos pacotes para uma conta total de 59,551 pacotes, juntamente com uma redução significante de 9,519 pacotes que estavam marcados como "obsoletos" e foram removidos. 42,821 pacotes foram actualizados e 5,434 pacotes permaneceram inalterados.

Debian 11 permitiu impressão e digitalização sem a necessidade de drivers especificas do fabricante (geralmente não-livres), e incluiu um kernel Linux com suporte para o sistema de ficheiros exFAT. O suporte à arquitectura mips foi abandonado, mantendo-se o suporte para arquitecturas mipsel (little-endian) para hardware de 32-bit e arquitectura mips64el para hardware little-endian de 64-bit.

A equipa Debian Med tomou parte da luta contra a COVID-19 ao empacotar software para pesquisa do vírus ao nível de sequência a para lutar contra a pandemia com as ferramentas usadas em epidemiologia; este trabalho continuou focado em ferramentas de aprendizagem máquina para ambos os campos.

Debian 12 Bookworm (10 de Junho de 2023): com o nome da minhoca verde com uma lanterna que apareceu em Toy Story 3.

Este lançamento conteve mais de 11,089 novos pacotes para uma conta total de 64,419 pacotes, enquanto mais de 6,296 pacotes foram removidos como "obsoletos". 43,254 pacotes foram actualizados neste lançamento. A utilização total de disco para bookworm é 365,016,420 kB (365 GB), e é feito de 1,341,564,204 linhas de código.

Seguindo a Resolução Geral de 2022 sobre firmware não-livre, O Debian Social Contract foi ajustado e foi introduzida uma nova área de arquivo chamada non-free-firmware, tornando possível separar o firmware não-livre dos outros pacotes não-livres. A maioria dos pacotes de firmware não-livre foram movidos de non-free para non-free-firmware. Esta separação torna possível a compilação duma variedade de imagens de instalação oficiais. E torna a instalação de Debian em hardware popular usando o instalador oficial de Debian muito mais fácil.

Um total de nove arquitecturas são suportadas oficialmente para bookworm.

A equipa Debian Cloud publicou bookworm para três serviços de computação cloud populares.

Entre lançamentos, em Bug#978636 (Fev 2021), o Comité Técnico resolveu que Debian bookworm iria suportar apenas a disposição de sistema de ficheiros raiz merged-usr[1], abandonando suporte para a disposição não-merged-usr. Para sistemas instalados como buster ou bullseye não haveria alterações no sistema de ficheiros; no entanto, os sistemas a usar a disposição antiga seriam convertidos durante a actualização.

Graças ao trabalho combinado da equipa Debian Security e da equipa Debian Long Term Support, bookworm será suportada em quatro arquitecturas até Junho de 2028 (5 anos após lançamento).

Debian 13 Trixie (a partir de Agosto de 2024) a distribuição testing): Trixie é o Triceratops azul que apareceu em Toy Story 3.

[1] usr-merge (ou merged-usr ou `/usr`-move) é uma disposição de sistema de ficheiros onde os directórios tradicionais de unix `/bin`, `/sbin`, `/lib` e `/lib64` são substituídos por links simbólicos para os seus homólogos sob `/usr`. Assim por exemplo, `/bin` é substituído por um link simbólico para `/usr/bin` . Em 2012, usr-merge foi implementado por Fedora Linux assim como por Ubuntu Linux. Veja também O Caso Para Usr Merge e Notas de Lançamento de Bookworm.

Capítulo 2. Liderança |  | Capítulo 4. Uma História Detalhada